@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;500;600;700;800;900;1000&display=swap");

/* Common Styles */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  outline: none;
  font-family: "Nunito", sans-serif;
  font-weight: 400;
}
:root {
  --color-primary: #a79a2d;
  --color-bg-1: #333;
  --color-bg-2: #222;
  --color-bg-3: #111;
  --color-btn: #888;
  --color-navbar: #000;
  --color-white: #fff;
}
.section-heading {
  font-size: 12rem;
  font-size: 8rem;
  font-weight: 900;
  color: var(--color-white);
  text-align: center;
  text-transform: capitalize;
  letter-spacing: 0.5rem;
  text-shadow: 0.3rem 0.3rem 0.3rem #000;
}
.mt {
  margin-top: 4rem;
}

html {
  font-size: 62.5%;
}
/* End of Common Styles */

/* Navbar */
.navbar {
  width: 100%;
  height: 14rem;
  background-color: var(--color-navbar);
  position: fixed;
  /* top: 0; */
  /* to make default position of navbar change its value to -14rem for pull */
  top: -14rem;
  z-index: 100;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0.2rem 0.2rem 0.2rem #000;
  transition: top 0.4s;
}
.navbar.change {
  top: 0;
  transition: top 0.4s 0.2s;
}
.navbar-link {
  color: #aaa;
  margin: 0 4rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  opacity: 0;
  transition: color 0.3s, opacity 0.2s;
}
.change .navbar-link {
  opacity: 1;
}
.change .navbar-link:nth-child(1) {
  transition: opacity 0.4s 0.5s, color 0.3s;
}
.change .navbar-link:nth-child(2) {
  transition: opacity 0.4s 0.6s, color 0.3s;
}
.change .navbar-link:nth-child(3) {
  transition: opacity 0.4s 0.7s, color 0.3s;
}
.change .navbar-link:nth-child(4) {
  transition: opacity 0.4s 0.8s, color 0.3s;
}
.change .navbar-link:nth-child(5) {
  transition: opacity 0.4s 0.9s, color 0.3s;
}

.navbar-link:hover {
  color: var(--color-white);
  transition: color 0.3s;
}
.navbar-link i {
  font-size: 7rem;
}
.navbar-link span {
  font-size: 2.5rem;
  font-weight: 900;
  letter-spacing: 0.5rem;
  margin-top: 0.5rem;
}
.menu {
  width: 4rem;
  height: 6rem;
  background-color: var(--color-navbar);
  position: fixed;
  /* top: 15rem; */
  /* change its position from 15 to 1rem for pull  */
  top: 1rem;
  left: 5rem;
  border-radius: 30rem 30rem 15rem 15rem;
  box-shadow: 0.1rem 0.1rem 0.1rem #000, -0.1rem -0.1rem 0.1rem #000;
  cursor: pointer;
  z-index: 100;

  transition: top 0.4s 0.2s;
}
.menu.change {
  top: 15rem;
  transition: top 0.4s;
}
.menu::before {
  content: "";
  width: 0.3rem;
  height: 15rem;
  background-color: var(--color-navbar);
  position: absolute;
  top: -15rem;
  left: calc(50% - 0.15rem);
  box-shadow: 0.1rem 0 0.1rem #000;
}

/* End of Navbar */

/* Section-1 */

.section-1 {
  width: 100%;
  height: 100vh;
  background-color: var(--color-bg-1);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}

.section-1-icons i {
  font-size: 35rem;
  font-size: 30rem;
  color: var(--color-primary);
  position: absolute;
  transform: translate(-50%, -50%) scale(0);
  text-shadow: 0.2rem 0.2rem 0.2rem #000;
  transition: transform 0.3s;
}
.section-1-icons i.change {
  transform: translate(-50%, -50%) scale(1);
  transition: transform 0.3s 0.3s;
}

/* End of Section-1 */

/* Section-2 */

.section-2 {
  width: 100%;
  height: 100vh;
  background-color: var(--color-bg-2);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 10rem 0;
}
.cards-container {
  display: flex;
  justify-content: space-evenly;
}
.card {
  width: 30rem;
  width: 25rem;
  background-color: var(--color-primary);
  padding: 4rem;
  padding: 3rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  box-shadow: 1rem 1rem 1rem #000;
  position: relative;
  transform: rotateY(20deg) skewX(-2deg);
  transition: transform 0.5s, box-shadow 0.5s;
}
.card::before {
  content: "";
  height: 100%;
  width: 1rem;
  background-color: #817824;
  position: absolute;
  top: 0;
  left: -1rem;
  transform: skewY(45deg);
  transform-origin: right;
  box-shadow: -0.1rem -0.1rem 0.1rem #000;
}
.card::after {
  content: "";
  height: 1rem;
  width: 100%;
  background-color: #8f8317;
  position: absolute;
  top: -1rem;
  left: 0;
  transform: skewX(45deg);
  transform-origin: bottom;
  box-shadow: -0.1rem -0.1rem 0.1rem #000;
}
.card:hover {
  transform: rotateY(20deg) skewX(-2deg) translateY(-3rem);
  box-shadow: 2rem 2rem 2rem #000;
}
.card-img {
  width: 100%;
}
.card-name {
  font-size: 3rem;
  font-weight: 900;
  text-transform: uppercase;
  letter-spacing: 0.5rem;
  color: var(--color-bg-3);
  margin: 2rem 0;
  text-shadow: 0.15rem 0.15rem 0.15rem #000;
}
.card-btn {
  width: 70%;
  background-color: var(--color-bg-3);
  color: var(--color-btn);
  border-radius: 5rem;
  font-size: 1.5rem;
  font-weight: 800;
  letter-spacing: 0.2rem;
  text-transform: capitalize;
  border: none;
  padding: 0.5rem 0;
  cursor: pointer;
  box-shadow: -0.2rem -0.2rem 0.2rem #000;
}
/* End of Section-2 */

/*  Section-3 */

.section-3 {
  background-color: var(--color-bg-1);
  padding: 5rem 0;
}
.gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: center;
}
.gallery-link {
  position: relative;
  margin: 4rem 1rem;
}

.gallery-link::before {
  content: "";
  position: absolute;
  top: 2vw;
  left: 80%;
  width: 0.2rem;
  height: 80%;
  /* for hover effect height to zero for vertical line*/
  height: 0;
  background-color: var(--color-white);
  transition: height 0.5s;
  z-index: 10;
}
.gallery-link:hover:before {
  height: 80%;
}
.gallery-link:hover::after {
  width: 90%;
}

.gallery-link::after {
  content: "";
  position: absolute;
  top: 30%;
  left: 2rem;
  width: 90%;
  /* for hover effect width to zero for horizontal line */
  width: 0;

  height: 0.2rem;
  background-color: var(--color-white);
  transition: width 0.5s;
}
.food-img {
  width: 24vw;
  height: 15vw;
  object-fit: cover;
  box-shadow: 0.3rem 0.3rem 0.1rem #e92929, 0.5rem 0.5rem 0.1rem #a2e946,
    0.7rem 0.7rem 0.1rem #297ce9, 0.9rem 0.9rem 0.1rem #e92999;
  transition: all 0.5s;
}
.gallery-link:hover .food-img {
  box-shadow: 1rem 1rem 0.1rem #e92929, 2rem 2rem 0.1rem #a2e946,
    3rem 3rem 0.1rem #297ce9, 4rem 4rem 0.1rem #e92999;
  filter: blur(0.5rem);
  opacity: 0.5;
  transform: scale(1.1);
}
.food-name {
  position: absolute;
  top: 3rem;
  left: 3rem;
  font-size: 2rem;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  color: var(--color-white);
  /* for hover effect these properties added for hidden */
  width: 0;
  overflow: hidden;
}
.gallery-link:hover .food-name {
  width: 100%;
  transition: width 1.5s 0.5s;
}
.food-description {
  position: absolute;
  bottom: 3vw;
  left: 2rem;
  width: 70%;
  font-size: 1.2rem;
  font-weight: 300;
  letter-spacing: 0.1rem;
  text-transform: uppercase;
  color: var(--color-white);
  /* for hover effect these properties added for hidden */
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s;
}
.gallery-link:hover .food-description {
  opacity: 1;
  visibility: visible;
  transition: opacity 1s 1s;
}
/* End of Section-3 */

/* Section-4 */

.section-4 {
  width: 100%;
  height: 35vh;
  background-color: var(--color-bg-2);
  display: flex;
  justify-content: space-around;
  padding: 3rem 0;
  position: relative;
  align-items: flex-start;
}
.section-4-text {
  text-transform: uppercase;
}
.section-4-heading {
  font-size: 4rem;
  font-weight: 900;
  color: var(--color-primary);
}
.section-4-paragraph {
  font-size: 1.5rem;
  color: var(--color-btn);
}
.signup-form {
  display: flex;
  align-items: center;
}
.signup-form-input {
  width: 35rem;
  height: 5rem;
  padding: 1rem;
  border: 0.2rem solid var(--color-primary);
  font-size: 1.6rem;
  font-weight: 700;
  letter-spacing: 0.1rem;
  color: var(--color-primary);
}
::placeholder {
  color: var(--color-primary);
}
.signup-form-btn {
  position: relative;
  left: -4.5rem;
  height: 4rem;
  width: 4rem;
  background-color: var(--color-bg-1);
  color: var(--color-primary);
  border: none;
  font-size: 1.8rem;
  cursor: pointer;
}
.copyright {
  position: absolute;
  bottom: 2rem;
  font-size: 1.7rem;
  font-weight: 200;
  color: #eee;
  letter-spacing: 0.1rem;
  border-top: 0.1rem solid var(--color-btn);
  padding-top: 2rem;
  width: 100%;
  text-align: center;
}

/* End of Section-4 */

/* Responsive */
@media (max-width: 1400px) {
  html {
    font-size: 50%;
  }
  .section-2 {
    height: auto;
    padding: 10rem 0 12rem 0;
  }
  .cards-container {
    margin-top: 10rem;
  }
  .gallery-link {
    width: 40rem;
    height: 25rem;
    margin: 5rem;
  }
  .food-img {
    height: 100%;
    width: 100%;
  }
}

@media (max-width:1000px){
  .section-heading{
    font-size: 9rem;
    margin: 0 5rem;
  }
  .section-1-icons{
    font-size: 25rem;
  }
  .cards-container{
    flex-wrap: wrap;
  }
  .card{
    margin: 5rem;
  }
  .section-4{
    height: 30rem;
  }

}
@media (max-width:900px){
  .navbar-link{
    margin: 2rem;
  }
  .navbar-link i{
    font-size: 4rem;
  }
  .navbar-link span{
    font-size: 2rem;
  }
}
@media (max-width:700px){
  .section-heading{
    font-size: 7rem;
    margin: 0 10rem;
  }
  .section-1-icons{
    font-size: 20rem ;
  }
  .menu{
    left: 2rem;
  }
  
  .section-4{
    height: 40rem;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
  }
  .section-4-text{
    margin-bottom: 8rem;
  }

}

@media (max-width:550px) {
  html{
    font-size: 40%;
  }
  .navbar-link{
    margin: 0 0.7rem;
  }

}

@media (max-width:350px) {
  html{
    font-size: 35%;
  }
  .navbar-link{
    margin: 0 0.5rem;
  }

}

/* End of Responsive */
